> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proofy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload file

> Verifies one or multiple emails in a file

The file creation endpoint allows you to verify multiple emails at once by creating a task to process the file asynchronously.
Verification results are not included in the response.

### File upload recommendation

For efficiency and deduplication, submit data in a single task rather than splitting it.
For example, submit one file with 50k emails instead of 10 files of 5k each. If using data from a CRM, buffer it locally before submission.

### Size limiting

The Bulk API supports files up to 65 MB.


## OpenAPI

````yaml POST /verify/file/upload
openapi: 3.0.3
info:
  title: Proofy Api
  description: Some text
  termsOfService: https://proofy.io/terms
  contact:
    email: support@proofy.io
  version: 1.1.0
servers:
  - url: https://apis.proofy.io/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Widget
    description: Everything about JS Widget
  - name: Single Email
    description: Single email check
  - name: Batch Emails
    description: Batch emails check
  - name: File upload
    description: Upload a file containing emails
paths:
  /verify/file/upload:
    post:
      tags:
        - Upload file from URL
      description: Upload file with emails for verification
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/FileUploadRequest'
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateResponse'
        '400':
          $ref: '#/components/responses/HttpErrorResponseNotEnoughCredits400'
        '401':
          $ref: '#/components/responses/HttpErrorResponse401'
        '404':
          $ref: '#/components/responses/HttpErrorResponse404'
        '500':
          $ref: '#/components/responses/HttpErrorResponse500'
components:
  schemas:
    FileUploadRequest:
      type: object
      properties:
        file:
          type: string
          format: binary
          description: File to upload. The format is of type binary
    CreateResponse:
      type: object
      properties:
        status:
          type: string
        id:
          type: string
      example:
        status: parsing
        id: e29bec0d-c534-493d-9c86-f44b0e2c2617
  responses:
    HttpErrorResponseNotEnoughCredits400:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Not enough credits
    HttpErrorResponse401:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Unauthorized
    HttpErrorResponse404:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Not Found
    HttpErrorResponse500:
      description: Http Error Response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error message
          example:
            message: Internal Server Error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: api_key

````